- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# MBlendStateDesc Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Descriptor for a complete blend state.

This class describes a complete blending state, including the blending state for all targets.

Examples:

  hwColorPerVertexShader.cpp, and hwPhongShader.cpp.

`#include <MStateManager.h>`

List of all members.

## Public Member Functions
| MBlendStateDesc ()
| Constructor, builds a default blend state.
| ~MBlendStateDesc ()
| Destructor.
void | setDefaults ()
| Set all values for the blend state to their default values.
| MBlendStateDesc (const MBlendStateDesc &rDesc)
| NO SCRIPT SUPPORT.
MBlendStateDesc & | operator= (const MBlendStateDesc &rDesc)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Public Attributes
bool | alphaToCoverageEnable
| Enable alpha to coverage.
bool | independentBlendEnable
| Use TargetBlends[0] if false or individual blend states if true.
float | blendFactor [4]
| Global blend factor, default (1,1,1,1).
unsigned int | multiSampleMask
| Each bit in this mask, starting at the least significant bit (LSB), controls modification of one of the samples in a multisample render target.
MTargetBlendDesc | targetBlends [MBlendState::kMaxTargets]
| An array of 8 MTargetBlendDesc, one for each target. Search for all occurrences

## Constructor & Destructor Documentation

MBlendStateDesc | ( | const MBlendStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Copy constructor.

Parameters:

  [in] | rDesc | The descriptor to copy

## Member Function Documentation

MBlendStateDesc & operator= | ( | const MBlendStateDesc & | rDesc | ) |

NO SCRIPT SUPPORT.

Assignment operator.

Parameters:

  [in] | rDesc | The descriptor to copy

Returns:
  Reference to this descriptor

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

## Member Data Documentation

bool alphaToCoverageEnable

Search for all occurrences

Enable alpha to coverage.

Default false.

bool independentBlendEnable

Search for all occurrences

Use TargetBlends[0] if false or individual blend states if true.

Default false.

Examples:
  hwColorPerVertexShader.cpp, and hwPhongShader.cpp.

float blendFactor[4]

Search for all occurrences

Global blend factor, default (1,1,1,1).

Examples:
  hwColorPerVertexShader.cpp, and hwPhongShader.cpp.

unsigned int multiSampleMask

Search for all occurrences

Each bit in this mask, starting at the least significant bit (LSB), controls modification of one of the samples in a multisample render target.

Thus, for an 8-sample render target, the low byte contains the eight write enables for each of the eight samples. The actual location of the samples is determined by the GPU sample pattern, which is not in general known or controlled directly by applications. Default 0xffffffff.

MTargetBlendDesc targetBlends[MBlendState::kMaxTargets]

Search for all occurrences

An array of 8 MTargetBlendDesc, one for each target.

Examples:
  hwColorPerVertexShader.cpp, and hwPhongShader.cpp.

MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc
MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc MBlendStateDesc